summaryrefslogtreecommitdiffstats
path: root/abs/extra/community/athcool/athcool
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/community/athcool/athcool')
-rw-r--r--abs/extra/community/athcool/athcool35
1 files changed, 35 insertions, 0 deletions
diff --git a/abs/extra/community/athcool/athcool b/abs/extra/community/athcool/athcool
new file mode 100644
index 0000000..f49bd40
--- /dev/null
+++ b/abs/extra/community/athcool/athcool
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+ATHCOOL=/usr/sbin/athcool
+
+case "$1" in
+ start)
+ stat_busy "Enabling Athcool"
+ $ATHCOOL on > /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Disabling Athcool"
+ $ATHCOOL off > /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ /bin/sleep 1
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+esac
+exit 0